package org.fouram.core.plugin.weixin.cp.util;

import static org.fouram.core.plugin.weixin.cp.core.WXCpOaBase.oaService;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;

import com.google.common.collect.Lists;

import me.chanjar.weixin.common.error.WxErrorException;
import me.chanjar.weixin.cp.bean.WxCpCheckinData;

/**
 * 企业微信用户工具类
 * 
 * @author Liup
 */
public class WXCpOaUtil {

	public static List<WxCpCheckinData> getCheckinData(Date startTime, Date endTime, List<String> userIdList) {
		// 打卡类型。1：上下班打卡；2：外出打卡；3：全部打卡
		try {
			return oaService.getCheckinData(3, startTime, endTime, userIdList);
		} catch (WxErrorException e) {
			e.printStackTrace();
			return Lists.newArrayList();
		}
	}

	public static void main(String[] args) throws WxErrorException, ParseException {
		SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
		System.out.println(getCheckinData(sdf.parse("2020-04-01"), sdf.parse("2020-04-30"), Lists.newArrayList("1017")));
	}
}
