package org.fouram.service;

import java.util.List;

import org.fouram.core.base.service.BaseService;
import org.fouram.core.plugin.weixin.cp.util.WXCpOaUtil;
import org.fouram.core.util.BeanUtils;
import org.fouram.core.util.DateUtil;
import org.fouram.entity.SapCheck;
import org.fouram.entity.SapUser;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.google.common.collect.Lists;

import me.chanjar.weixin.cp.bean.WxCpCheckinData;

@Service
public class SapCheckService extends BaseService {

	@Autowired
	private SapUserService userService;

	public void saveAllUserCheckData() throws Exception {
		List<SapUser> users = userService.selectSuccessList();
		int count = 0;
		for (SapUser user : users) {
			count = count + 1;
			List<WxCpCheckinData> checkinDatas = WXCpOaUtil.getCheckinData(
					DateUtil.sdfTime.parse("2020-04-01 00:00:00"), DateUtil.sdfTime.parse("2020-04-30 23:59:59"),
					Lists.newArrayList(user.getUserId()));
			for (WxCpCheckinData data : checkinDatas) {
				if (data.getCheckinType().equals("上班打卡")) {
					saveCheckin(data);
				} else if (data.getCheckinType().equals("下班打卡")) {
					saveCheckoff(data);
				} else if (data.getCheckinType().equals("外出打卡")) {
					saveCheckout(data);
				} else {
					System.out.println(data);
				}
			}
			System.out.println(count);
		}
	}

	public void saveCheckin(WxCpCheckinData data) throws Exception {
		SapCheck check = new SapCheck();
		BeanUtils.copyProperties(data, check);
		save("SapCheckMapper.saveCheckin", check);
	}

	public void saveCheckoff(WxCpCheckinData data) throws Exception {
		SapCheck check = new SapCheck();
		BeanUtils.copyProperties(data, check);
		save("SapCheckMapper.saveCheckoff", check);
	}

	public void saveCheckout(WxCpCheckinData data) throws Exception {
		SapCheck check = new SapCheck();
		BeanUtils.copyProperties(data, check);
		save("SapCheckMapper.saveCheckout", check);
	}
}
